#include <hildonmm/window.h>
#include <hildonmm/picker-button.h>
#include <hildonmm/touch-selector.h>
#include <gtkmm.h>
#include <hildonmm/stackable-window.h>
#include <gtkmm/buttonbox.h>
#include <hildonmm/button.h>
#include <hildonmm/entry.h>
#include <hildonmm/check-button.h>


class MyWindow : public Hildon::StackableWindow
{
public:
	int i;
	MyWindow();
  virtual ~MyWindow();

private:


  //Signal handlers:
  void on_value_changed();
  void view_map();
  void view_inspection();
  void toggled();

  //Print function for PickerButton subtitle:
  Glib::ustring picker_button_print_func();

  //Name TreeModelColumns:
  class ObjectColumns : public Gtk::TreeModel::ColumnRecord
  {
  public:
    ObjectColumns()
    {
      add(name_);
      add(address_);
    }

    Gtk::TreeModelColumn<Glib::ustring> name_;
    Gtk::TreeModelColumn<Glib::ustring> address_;
    };

  ObjectColumns object_columns_;

  //Child widgets:
  Gtk::HButtonBox box_;
  Hildon::PickerButton pickerbutton_;
  Hildon::Button mapbutton_;
  Hildon::Button inspectbutton_;
  Hildon::TouchSelector touchselector_;
  Hildon::Entry tb_;
  Hildon::CheckButton chkButton_;
  Gtk::HButtonBox hBox_;

};

